//+------------------------------------------------------------------+
//|                                          Brooky_Candle_Pulse.mq4 |
//|                                         Copyright  2010, Brooky |
//|                                        webinfoproducts@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Brooky"
#property link      "webinfoproducts@gmail.com"

#property indicator_separate_window
#property indicator_buffers 8
#property indicator_color1 C'10,128,184'
#property indicator_color2 C'233,139,235'
#property indicator_color3 Red
#property indicator_color4 Teal
#property indicator_color5 Yellow
#property indicator_color6 Blue
#property indicator_color7 Yellow

#property indicator_width1 2
#property indicator_width2 2
#property indicator_width3 2
#property indicator_width4 2
#property indicator_width5 2
#property indicator_width6 2
#property indicator_width7 2
//---- input parameters
extern int       BarsBack=2000;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];
double ExtMapBuffer5[];
double ExtMapBuffer6[];
double ExtMapBuffer7[];
   double Combinedmax=0;
   double Combinedmin=0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(2,DRAW_HISTOGRAM);
   SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexStyle(3,DRAW_HISTOGRAM);
   SetIndexBuffer(3,ExtMapBuffer4);
   
   SetIndexStyle(4,DRAW_ARROW);
   SetIndexArrow(4,217);
   SetIndexBuffer(4,ExtMapBuffer5);
   
    SetIndexBuffer(5,ExtMapBuffer6);
   SetIndexStyle(5, DRAW_LINE);
   
       SetIndexBuffer(6,ExtMapBuffer7);
   SetIndexStyle(6, DRAW_LINE);
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
      int    counted_bars=IndicatorCounted();
      int k = 0;
  
//---- last counted bar will be recounted
   for(int i=0;i<BarsBack;i++)
   {
   


      double max=iHigh(0,PERIOD_H1,i);//High[i];
      double max1=iHigh(0,PERIOD_H1,i+24);//High[i+24];
      double max2=iHigh(0,PERIOD_H1,i+48);//High[i+48];
      double max3=iHigh(0,PERIOD_H1,i+72);//High[i+72];
      double max4=iHigh(0,PERIOD_H1,i+96);//High[i+96];
      double max5=iHigh(0,PERIOD_H1,i+120);//High[i+120];
      double max6=iHigh(0,PERIOD_H1,i+144);//High[i+144];
      double max7=iHigh(0,PERIOD_H1,i+168);//High[i+168];
      double max8=iHigh(0,PERIOD_H1,i+192);//High[i+192];
      double max9=iHigh(0,PERIOD_H1,i+216);//High[i+216];
      
      double copen=iOpen(0,PERIOD_H1,i);//Open[i];
      double copen1=iOpen(0,PERIOD_H1,i+24);//Open[i+24];
      double copen2=iOpen(0,PERIOD_H1,i+48);//Open[i+48];
      double copen3=iOpen(0,PERIOD_H1,i+72);//Open[i+72];
      double copen4=iOpen(0,PERIOD_H1,i+96);//Open[i+96];
      double copen5=iOpen(0,PERIOD_H1,i+120);//Open[i+120];
      double copen6=iOpen(0,PERIOD_H1,i+144);//Open[i+144];
      double copen7=iOpen(0,PERIOD_H1,i+168);//Open[i+168];
      double copen8=iOpen(0,PERIOD_H1,i+192);//Open[i+192];
      double copen9=iOpen(0,PERIOD_H1,i+216);//Open[i+216];
      
      Combinedmax=((max+max1+max2+max3+max4+max5+max6+max7+max8+max9)/10);//+max6+max7+max8+max9
      
      
      
      double Combinedcopen=((copen+copen1+copen2+copen3+copen4+copen5+copen6+copen7+copen8+copen9)/10);//+copen6+copen7+copen8+copen9
      
      
      double min=iLow(0,PERIOD_H1,i);//Low[i];
      double min1=iLow(0,PERIOD_H1,i+24);//Low[i+24];
      double min2=iLow(0,PERIOD_H1,i+48);//Low[i+48];
      double min3=iLow(0,PERIOD_H1,i+72);//Low[i+72];
      double min4=iLow(0,PERIOD_H1,i+96);//Low[i+96];
      double min5=iLow(0,PERIOD_H1,i+120);//Low[i+120];
      double min6=iLow(0,PERIOD_H1,i+144);//Low[i+144];
      double min7=iLow(0,PERIOD_H1,i+168);//Low[i+168];
      double min8=iLow(0,PERIOD_H1,i+192);//Low[i+192];
      double min9=iLow(0,PERIOD_H1,i+216);//Low[i+216];
      
      Combinedmin =((min+min1+min2+min3+min4+min5+min6+min7+min8+min9)/10);//+min6+min7+min8+min9
      
      double cclose=iClose(0,PERIOD_H1,i);//Close[i];
      double cclose1=iClose(0,PERIOD_H1,i+24);//Close[i+24];
      double cclose2=iClose(0,PERIOD_H1,i+48);//Close[i+48];
      double cclose3=iClose(0,PERIOD_H1,i+72);//Close[i+72];
      double cclose4=iClose(0,PERIOD_H1,i+96);//Close[i+96];
      double cclose5=iClose(0,PERIOD_H1,i+120);//Close[i+120];
      double cclose6=iClose(0,PERIOD_H1,i+144);//Close[i+144];
      double cclose7=iClose(0,PERIOD_H1,i+168);//Close[i+168];
      double cclose8=iClose(0,PERIOD_H1,i+192);//Close[i+192];
      double cclose9=iClose(0,PERIOD_H1,i+216);//Close[i+216];
      
      double combinedclose=((cclose+cclose1+cclose2+cclose3+cclose4+cclose5+cclose6+cclose7+cclose8+cclose9)/10);//+cclose6+cclose7+cclose8+cclose9
 
      
      
      double spread = Combinedmax-Combinedmin;
      double spreadsplitpos = (spread/2);
      double spreadsplitneg = (spread/2)*(-1);
      
   
      ExtMapBuffer1[i]=spreadsplitpos;

      ExtMapBuffer2[i]=spreadsplitneg;
      
      
      ExtMapBuffer5[24]=(-0.001);
      
      double direction=(combinedclose-Combinedcopen);
      ExtMapBuffer7[i]=direction;
      
      
      
      
      if (direction>0) 
      {
      ExtMapBuffer4[i]=direction;
      ExtMapBuffer3[i]=0.0;
      
      }
      else if (direction<0) 
      {
      ExtMapBuffer3[i]=direction;
      ExtMapBuffer4[i]=0.0;
      
      }
     }

Comment(Combinedcopen+"***********"+combinedclose);

//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+